# QToolBar Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QToolBar(QWidget parent)
- void QToolBar(String title, QWidget parent)

### Constructor Properties

- prototype: The QToolBar prototype object

### Prototype Object Properties

The QToolBar prototype object inherits properties from the QWidget prototype object and also has the following properties.

- QAction actionAt(QPoint p)
- QRect actionGeometry(QAction action)
- QAction addAction(QIcon icon, String text)
- QAction addSeparator()
- QAction addWidget(QWidget widget)
- ToolBarAreas allowedAreas()
- void clear()
- QSize iconSize()
- QAction insertSeparator(QAction before)
- QAction insertWidget(QAction before, QWidget widget)
- bool isAreaAllowed(ToolBarArea area)
- bool isFloatable()
- bool isFloating()
- Orientation orientation()
- void setAllowedAreas(ToolBarAreas areas)
- void setFloatable(bool floatable)
- void setMovable(bool movable)
- void setOrientation(Orientation orientation)
- QAction toggleViewAction()
- ToolButtonStyle toolButtonStyle()
- QWidget widgetForAction(QAction action)

### Instance Properties

QToolBar objects inherit properties from the QToolBar prototype object and also have the following properties.

- movable